- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
WKS4SpreadsheetInternal::Spreadsheet Class Reference

the spreadsheet of a WPS4Spreadsheet More...

## Public Types
enum | Type { T_Spreadsheet, T_Filter, T_Report }
| the spreadsheet type More...

## Public Member Functions
| Spreadsheet (Type type=T_Spreadsheet, int id=0)
| a constructor More...
Cell & | getCell (Vec2i const &pos)
| return a cell corresponding to a spreadsheet, create one if needed More...
Cell * | getLastCell ()
| returns the last cell More...
void | setColumnWidth (int col, int w=-1)
| set the columns size More...
float | getRowHeight (int row) const
| returns the row size in point More...
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row More...
void | setRowHeight (int row, int h)
| set the rows size More...
void | compressRowHeights ()
| try to compress the list of row height More...
bool | empty () const
| returns true if the spreedsheet is empty More...

## Static Public Member Functions
static std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize)
| convert the m_widthCols in a vector of of point size More...

## Public Attributes
Type | m_type
| the spreadsheet type More...
int | m_id
| the spreadsheet id More...
int | m_numCols
| the number of columns More...
int | m_numRows
| the number of rows More...
std::vector< int > | m_widthCols
| the column size in TWIP (?) More...
std::map< Vec2i, int > | m_rowHeightMap
| the map Vec2i(min row, max row) to size in TWIP (?) More...
int | m_heightDefault
| the default row size in point More...
std::map< Vec2i, Cell > | m_positionToCellMap
| a map cell to not empty cells More...
Vec2i | m_lastCellPos
| the last cell position More...
std::vector< int > | m_rowPageBreaksList
| the list of row page break More...

## Detailed Description

the spreadsheet of a WPS4Spreadsheet

## Member Enumeration Documentation

enum WKS4SpreadsheetInternal::Spreadsheet::Type

the spreadsheet type

Enumerator
T_Spreadsheet |
T_Filter |
T_Report |

## Constructor & Destructor Documentation

WKS4SpreadsheetInternal::Spreadsheet::Spreadsheet | ( | Type | type = `T_Spreadsheet`,
|  | int | id = `0`
| ) |  |
| inline

a constructor

## Member Function Documentation

void WKS4SpreadsheetInternal::Spreadsheet::compressRowHeights | ( |  | ) |
| inline

try to compress the list of row height

static std::vector<float> WKS4SpreadsheetInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  |
| inline static

convert the m_widthCols in a vector of of point size

bool WKS4SpreadsheetInternal::Spreadsheet::empty | ( |  | ) | const
| inline

returns true if the spreedsheet is empty

Cell& WKS4SpreadsheetInternal::Spreadsheet::getCell | ( | Vec2i const & | pos | ) |
| inline

return a cell corresponding to a spreadsheet, create one if needed

Cell* WKS4SpreadsheetInternal::Spreadsheet::getLastCell | ( |  | ) |
| inline

returns the last cell

float WKS4SpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

float WKS4SpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated
| ) |  | const
| inline

returns the height of a row in point and updated repeated row

Note
  : you must first call compressRowHeigths

void WKS4SpreadsheetInternal::Spreadsheet::setColumnWidth | ( | int | col,
|  | int | w = `-1`
| ) |  |
| inline

set the columns size

void WKS4SpreadsheetInternal::Spreadsheet::setRowHeight | ( | int | row,
|  | int | h
| ) |  |
| inline

set the rows size

## Member Data Documentation

int WKS4SpreadsheetInternal::Spreadsheet::m_heightDefault

the default row size in point

int WKS4SpreadsheetInternal::Spreadsheet::m_id

the spreadsheet id

Vec2i WKS4SpreadsheetInternal::Spreadsheet::m_lastCellPos

the last cell position

int WKS4SpreadsheetInternal::Spreadsheet::m_numCols

the number of columns

int WKS4SpreadsheetInternal::Spreadsheet::m_numRows

the number of rows

std::map<Vec2i, Cell> WKS4SpreadsheetInternal::Spreadsheet::m_positionToCellMap

a map cell to not empty cells

std::map<Vec2i,int> WKS4SpreadsheetInternal::Spreadsheet::m_rowHeightMap

the map Vec2i(min row, max row) to size in TWIP (?)

std::vector<int> WKS4SpreadsheetInternal::Spreadsheet::m_rowPageBreaksList

the list of row page break

Type WKS4SpreadsheetInternal::Spreadsheet::m_type

the spreadsheet type

Referenced by WKS4Spreadsheet::readFilterClose(), and WKS4Spreadsheet::readReportClose().

std::vector<int> WKS4SpreadsheetInternal::Spreadsheet::m_widthCols

the column size in TWIP (?)

The documentation for this class was generated from the following file:

- WKS4Spreadsheet.cpp